import htinter

VIDE=0
BLANC=1
NOIR=2

contenu_cases={0: "&nbsp;", 1: '<img class="pion" src="blanc.png">', 2: '<img class="pion" src="noir.png">'}

plateau = [[VIDE]*10 for _ in range(10)] 

plateau[0] = [BLANC]*10
plateau[9] = [NOIR]*10

def gen_fond(x,y):
    code = ""
    for i in range(y):
        code +="<tr>"
        for j in range(x):
            if (i+j)%2==0 : couleur="noir"
            else: couleur = "blanc"
            code+='<td class="'+couleur+'"></td>'
        code+="</tr>"
    return code

def gen_cases(x,y):
    code = ""
    for i in range(y):
        code +="<tr>"
        for j in range(x):
            if (i+j)%2==0 : couleur="noir"
            else: couleur = "blanc"
            code+='<td id="case_x'+str(j)+'y'+str(i)+'" style="color:#FF0000">'+contenu_cases[plateau[i][j]]+'</td>'
        code+="</tr>"
    return code

def clic(c,p):
    x,y=[int(x) for x in p['objet'][6:].split("y")]
    print(x,y)
    
def f_init(c,p):
    page=p['location_pathname']
    if page=="/damier.html":
        htinter.contenu("fond-damier",gen_fond(10,10))
        htinter.contenu("cases-damier",gen_cases(10,10))
        for i in range(10):
            for j in range(10):
                htinter.capture_clic("case_x"+str(j)+"y"+str(i),fnct=clic)


htinter.init_page(f_init)

htinter.servir(page="damier.html")
